%include	/usr/lib/rpm/macros.perl
Summary:	help2man - automatic manual page generation
Summary(pl.UTF-8):	help2man - automatyczne generowanie stron manuala
Name:		help2man
Version:	1.47.2
Release:	1
License:	GPL v3+
Group:		Applications/Text
Source0:	http://ftp.debian.org/debian/pool/main/h/help2man/%{name}_%{version}.tar.xz
# Source0-md5:	5a171e903765da7d34b1810bbd69fec6
Patch0:		%{name}-info.patch
URL:		http://www.gnu.org/software/help2man/
BuildRequires:	gettext-tools
BuildRequires:	perl-base >= 1:5.8
BuildRequires:	perl-Locale-gettext
BuildRequires:	po4a
BuildRequires:	rpm-perlprov
BuildRequires:	tar >= 1:1.22
BuildRequires:	texinfo
BuildRequires:	xz
Requires:	perl-base >= 1:5.8
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
help2man is a tool for automatically generating simple manual pages
from program output. This program is intended to provide an easy way
for software authors to include a manual page in their distribution
without having to maintain that document. Given a program which
produces reasonably standard `--help' and `--version' outputs,
help2man can re-arrange that output into something which resembles a
manual page.

%description -l pl.UTF-8
help2man to narzędzie do automatycznego generowania prostych stron
manuala na podstawie wyjścia z programu. Ten program ma za zadanie dać
autorom oprogramowania łatwy sposób na dołączanie stron manuala bez
opiekowania się nimi. Po wskazaniu programu, który daje w miarę
standardowe wyjście dla opcji --help i --version, help2man potrafi
przekształcić to wyjście na coś przypominającego stronę manuala.

%prep
%setup -q
%patch0 -p1

%build
%configure \
	--enable-nls

%{__make} \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc NEWS README THANKS debian/changelog
%attr(755,root,root) %{_bindir}/help2man
%dir %{_libdir}/help2man
%attr(755,root,root) %{_libdir}/help2man/bindtextdomain.so
%{_infodir}/help2man.info*
%lang(de) %{_infodir}/help2man-de.info*
%lang(es) %{_infodir}/help2man-es.info*
%lang(fr) %{_infodir}/help2man-fr.info*
%lang(pl) %{_infodir}/help2man-pl.info*
%lang(uk) %{_infodir}/help2man-uk.info*
%{_mandir}/man1/help2man.1*
%lang(da) %{_mandir}/da/man1/help2man.1*
%lang(de) %{_mandir}/de/man1/help2man.1*
%lang(el) %{_mandir}/el/man1/help2man.1*
%lang(eo) %{_mandir}/eo/man1/help2man.1*
%lang(es) %{_mandir}/es/man1/help2man.1*
%lang(fi) %{_mandir}/fi/man1/help2man.1*
%lang(fr) %{_mandir}/fr/man1/help2man.1*
%lang(hr) %{_mandir}/hr/man1/help2man.1*
%lang(hu) %{_mandir}/hu/man1/help2man.1*
%lang(it) %{_mandir}/it/man1/help2man.1*
%lang(ja) %{_mandir}/ja/man1/help2man.1*
%lang(nb) %{_mandir}/nb/man1/help2man.1*
%lang(pl) %{_mandir}/pl/man1/help2man.1*
%lang(pt_BR) %{_mandir}/pt_BR/man1/help2man.1*
%lang(ru) %{_mandir}/ru/man1/help2man.1*
%lang(sr) %{_mandir}/sr/man1/help2man.1*
%lang(sv) %{_mandir}/sv/man1/help2man.1*
%lang(uk) %{_mandir}/uk/man1/help2man.1*
%lang(vi) %{_mandir}/vi/man1/help2man.1*
%lang(zh) %{_mandir}/zh_CN/man1/help2man.1*
%changelog
* Tue Sep 15 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/help2man.git;a=log;h=master

* Tue Sep 15 2015 Jakub Bogusz <qboosh@pld-linux.org> 4806d42
- updated to 1.47.2

* Fri Jun 26 2015 Jakub Bogusz <qboosh@pld-linux.org> 9dbab42
- updated to 1.47.1

* Sat May 09 2015 Jakub Bogusz <qboosh@pld-linux.org> cfe4941
- updated to 1.46.6

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> fc108ba
- x32 rebuild
- release 2 (by relup.sh)

* Sat Jan 31 2015 Jakub Bogusz <qboosh@pld-linux.org> a538c22
- updated to 1.46.5

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 2fd6e96
- updated gettext BR

* Sun Oct 12 2014 Jakub Bogusz <qboosh@pld-linux.org> d343777
- updated to 1.46.4

* Tue Oct 07 2014 Kacper Kornet <draenog@pld-linux.org> bcbce12
- rebuild with file-5.19-3 to fix perl dependencies

* Sat Oct 04 2014 Jakub Bogusz <qboosh@pld-linux.org> 48c33e1
- updated to 1.46.3

* Mon Sep 08 2014 Jakub Bogusz <qboosh@pld-linux.org> 0119152
- updated to 1.46.2

* Tue Jul 29 2014 Jakub Bogusz <qboosh@pld-linux.org> 0c9479c
- updated to 1.46.1

* Tue Apr 01 2014 Jakub Bogusz <qboosh@pld-linux.org> 190d3b3
- updated to 1.45.1

* Sun Feb 09 2014 Jakub Bogusz <qboosh@pld-linux.org> 4a93d89
- updated to 1.44.1

* Tue Jul 02 2013 Jakub Bogusz <qboosh@pld-linux.org> e4134b1
- updated to 1.43.3

* Thu Jun 06 2013 Jakub Bogusz <qboosh@pld-linux.org> 408614d
- updated to 1.43.2

* Sat Apr 20 2013 Jakub Bogusz <qboosh@pld-linux.org> 153c092
- updated to 1.41.2

* Wed Jan 02 2013 Jakub Bogusz <qboosh@pld-linux.org> 0646bd4
- updated to 1.41.1

* Sun Dec 09 2012 Jakub Bogusz <qboosh@pld-linux.org> 134ec6d
- updated to 1.40.13

* Sun Aug 26 2012 Jakub Bogusz <qboosh@pld-linux.org> 0c88c27
- updated to 1.40.12

* Mon Jul 30 2012 Jakub Bogusz <qboosh@pld-linux.org> b9a472e
- updated to 1.40.11

